org.mariadb.jdbc.internal.failover.thread

## Class ConnectionValidator

- java.lang.Object
- - org.mariadb.jdbc.internal.failover.thread.ConnectionValidator

    public class ConnectionValidator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConnectionValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(Listener listener, long listenerCheckMillis)` Add listener to validation list.
`void` `removeListener(Listener listener)` Remove listener to validation list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionValidator

    public ConnectionValidator()

### Method Detail

#### addListener

    public void addListener(Listener listener,
                            long listenerCheckMillis)

Add listener to validation list.

Parameters:
  `listener` - listener
  `listenerCheckMillis` - schedule time

#### removeListener

    public void removeListener(Listener listener)

Remove listener to validation list.

Parameters:
  `listener` - listener